System.Xml 1.0.5000.0 2.0.0.0 4.0.0.0 System.Xml.XmlResolver

wraps around a concrete implementation of and restricts the resources that the underlying has access to. For instance, has the ability to prohibit cross-domain redirection, which occurs from an embedded Uniform Resource Identifier (URI) reference.

When you construct an object, you provide a valid implementation along with a URL, an instance of , or a , which is used by the to determine security. Either a is generated or the existing one is used and is called on it to help secure the underlying .

objects can contain sensitive information such as user credentials. You should be careful when caching objects and should not pass the object to an untrusted component.

There are differences in the security infrastructure for code running on the .NET Framework common language runtime (CLR) and for code running on the CLR that is integrated within Microsoft SQL Server 2005. This can lead to cases where code developed for the .NET Framework CLR operates differently when used on the SQL Server integrated CLR. One of these differences affects the class when you have evidence that is based on a URL (This can occur when you use the method or the constructor). The policy resolution mechanism of the SQL Server integrated CLR does not utilize the or information. Instead, the SQL Server integrated CLR grants permissions based on the GUID that the server adds when assemblies are loaded. When you use the in the SQL Server integrated CLR, provide any required evidence directly using a specified .

Helps to secure another implementation of by wrapping the object and restricting the resources that the underlying has access to.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the and specified.

  The wrapped by the .
  The to apply to the underlying . The calls on the before calling on the underlying .
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the and specified.

  The wrapped by the .
  The used to create the that will be applied to the underlying . The calls on the created before calling on the underlying .
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  There are differences in the security infrastructure for code running on the .NET Framework common language runtime (CLR) and for code running on the CLR that is integrated within Microsoft SQL Server 2005. This can lead to cases where code developed for the .NET Framework CLR operates differently when used on the SQL Server integrated CLR. One of these differences affects the class when you have evidence that is based on a URL (This can occur when you use the method or the constructor). The policy resolution mechanism of the SQL Server integrated CLR does not utilize the or information. Instead, the SQL Server integrated CLR grants permissions based on the GUID that the server adds when assemblies are loaded. When you use the in the SQL Server integrated CLR, provide any required evidence directly using a specified .

  Initializes a new instance of the class with the and URL provided.

  The wrapped by the .
  The URL used to create the that will be applied to the underlying . The calls on the created before calling on the underlying .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Policy.Evidence ``

  There are differences in the security infrastructure for code running on the .NET Framework common language runtime (CLR) and for code running on the CLR that is integrated within Microsoft SQL Server 2005. This can lead to cases where code developed for the .NET Framework CLR operates differently when used on the SQL Server integrated CLR. One of these differences affects the class when you have evidence that is based on a URL (This can occur when you use the method or the constructor). The policy resolution mechanism of the SQL Server integrated CLR does not utilize the or information. Instead, the SQL Server integrated CLR grants permissions based on the GUID that the server adds when assemblies are loaded. When you use the in the SQL Server integrated CLR, provide any required evidence directly using a specified .

  Creates evidence using the supplied URL.

  The evidence generated from the supplied URL as defined by the default policy.

  The URL used to create the evidence.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.ICredentials To be added. To be added.

  Sets credentials used to authenticate Web requests.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` ``

  Your application can mitigate memory Denial of Service threats to the method by implementing a wrapping implemented IStream that limits the number of bytes read. This helps to guard against situations where malicious code attempts to pass an infinite stream of bytes to the method.

  Maps a URI to an object containing the actual resource. This method temporarily sets the created in the constructor by calling before calling GetEntity on the underlying to open the resource.

  A object returned by calling GetEntity on the underlying . If a type other than stream is specified, null is returned.

  The URI returned from . The current version does not use this parameter when resolving URIs. This is provided for future extensibility purposes. For example, this can be mapped to the xlink:role and used as an implementation-specific argument in other scenarios. The type of object to return. The current version only returns objects.
- Method
  4.0.0.0
  System.Threading.Tasks.Task<System.Object> `` `` `` To be added.

  Asynchronously maps a URI to an object containing the actual resource.

  A object or null if a type other than stream is specified.

  The URI returned from . The current version does not use this parameter when resolving URIs. This is provided for future extensibility purposes. For example, this can be mapped to the xlink:role and used as an implementation-specific argument in other scenarios. The type of object to return. The current version only returns objects.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Uri `` `` To be added.

  Resolves the absolute URI from the base and relative URIs by calling ResolveUri on the underlying .

  A representing the absolute URI or null if the relative URI cannot be resolved (returned by calling ResolveUri on the underlying ).

  The base URI used to resolve the relative URI. The URI to resolve. The URI can be absolute or relative. If absolute, this value effectively replaces the value. If relative, it combines with the to make an absolute URI.